com.threerings.whirled.data

## Class SceneImpl

- java.lang.Object
- - com.threerings.whirled.data.SceneImpl

All Implemented Interfaces:
  Scene

Direct Known Subclasses:
  StageScene

    public class SceneImpl
    extends Object
    implements Scene

An implementation of the `Scene` interface.

### Constructor Summary

Constructors
Constructor and Description
`SceneImpl()` Instantiates a blank scene implementation.
`SceneImpl(SceneModel model, com.threerings.crowd.data.PlaceConfig config)` Creates an instance that will obtain data from the supplied scene model and place config.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getId()` Returns the unique identifier for this scene.
`String` `getName()` Returns the human readable name of this scene.
`com.threerings.crowd.data.PlaceConfig` `getPlaceConfig()` Returns the place config that can be used to determine which place controller instance should be used to display this scene as well as to obtain runtime configuration information.
`SceneModel` `getSceneModel()` Returns the scene model from which this scene was created.
`int` `getVersion()` Returns the version number of this scene.
`void` `setId(int sceneId)` Sets this scene's unique identifier.
`void` `setName(String name)` Sets the human readable name of this scene.
`void` `setVersion(int version)` Sets this scene's version number.
`String` `toString()`
`void` `updateReceived(SceneUpdate update)` Called to inform the scene that an update has been received while the scene was resolved and active.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SceneImpl

    public SceneImpl(SceneModel model,
                     com.threerings.crowd.data.PlaceConfig config)

Creates an instance that will obtain data from the supplied scene model and place config.

#### SceneImpl

    public SceneImpl()

Instantiates a blank scene implementation. No place config will be associated with this scene.

### Method Detail

#### getId

    public int getId()

Description copied from interface: `Scene`
Returns the unique identifier for this scene.

Specified by:
  `getId` in interface `Scene`

#### getName

    public String getName()

Description copied from interface: `Scene`
Returns the human readable name of this scene.

Specified by:
  `getName` in interface `Scene`

#### getVersion

    public int getVersion()

Description copied from interface: `Scene`
Returns the version number of this scene.

Specified by:
  `getVersion` in interface `Scene`

#### getPlaceConfig

    public com.threerings.crowd.data.PlaceConfig getPlaceConfig()

Description copied from interface: `Scene`
Returns the place config that can be used to determine which place controller instance should be used to display this scene as well as to obtain runtime configuration information.

Specified by:
  `getPlaceConfig` in interface `Scene`

#### setId

    public void setId(int sceneId)

Description copied from interface: `Scene`
Sets this scene's unique identifier.

Specified by:
  `setId` in interface `Scene`

#### setName

    public void setName(String name)

Description copied from interface: `Scene`
Sets the human readable name of this scene.

Specified by:
  `setName` in interface `Scene`

#### setVersion

    public void setVersion(int version)

Description copied from interface: `Scene`
Sets this scene's version number.

Specified by:
  `setVersion` in interface `Scene`

#### updateReceived

    public void updateReceived(SceneUpdate update)

Description copied from interface: `Scene`
Called to inform the scene that an update has been received while the scene was resolved and active. The update should be applied to the underlying scene model and any derivative data should be appropriately updated.

Specified by:
  `updateReceived` in interface `Scene`

#### getSceneModel

    public SceneModel getSceneModel()

Description copied from interface: `Scene`
Returns the scene model from which this scene was created.

Specified by:
  `getSceneModel` in interface `Scene`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`